Get all folders
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/folders \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/folders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"_id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"parentFolderId": "<string>",
"description": "<string>",
"metadata": {
"color": "<string>",
"icon": "<string>",
"materialCount": 123,
"totalSize": 123,
"lastActivity": "2023-11-07T05:31:56Z"
}
}
]Folders
Get all folders
GET
/
api
/
v1
/
folders
Get all folders
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/folders \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/folders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"_id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"parentFolderId": "<string>",
"description": "<string>",
"metadata": {
"color": "<string>",
"icon": "<string>",
"materialCount": 123,
"totalSize": 123,
"lastActivity": "2023-11-07T05:31:56Z"
}
}
]Authorizations
API Key for server-to-server authentication. Resolves to the owning organization.
Query Parameters
Filter by parent folder
Response
200 - application/json
Folders retrieved successfully
Folder ID
Folder name
Organization ID
Folder status
Available options:
active, deleted Creation date
Last update date
Parent folder ID
Folder description
Folder metadata
Show child attributes
Show child attributes
Was this page helpful?